Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4DNAGenericIonsManager.cc,v 1.6 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DNAGenericIonsManager.cc,v 1.7 2010/11/03 10:44:26 sincerti Exp $
+// GEANT4 tag $Name: emlowen-V09-03-54 $
 
 #include "G4DNAGenericIonsManager.hh"
@@ -71,6 +71,47 @@
  G4Ions *positronium2s;
  
+ G4Ions *carbon;
+ G4Ions *nitrogen;
+ G4Ions *oxygen;
+ G4Ions *iron;
+
+ iron=     new G4Ions(
+			"iron",    52.5672*GeV,       0.0*MeV,  +26.0*eplus,
+			0,              +1,             0,
+			0,               0,             0,
+			"nucleus",              +26,            +56,           0,
+			true,                -1.0,             0,       
+			false,		      "",               0,             
+			0.0);
+
+ oxygen=   new G4Ions(
+			"oxygen",    15.0074*GeV,       0.0*MeV,  +8.0*eplus,
+			0,              +1,             0,
+			0,               0,             0,
+			"nucleus",              +8,            +16,           0,
+			true,                -1.0,             0,       
+			false,		      "",               0,             
+			0.0);
+
+
+ nitrogen= new G4Ions(
+			"nitrogen",    13.132*GeV,       0.0*MeV,  +7.0*eplus,
+			0,              +1,             0,
+			0,               0,             0,
+			"nucleus",              +7,            +14,           0,
+			true,                -1.0,             0,       
+			false,		      "",               0,             
+			0.0);
+
+ carbon=   new G4Ions(
+			"carbon",    11.267025440*GeV,       0.0*MeV,  +6.0*eplus,
+			0,              +1,             0,
+			0,               0,             0,
+			"nucleus",              +6,            +12,           0,
+			true,                -1.0,             0,       
+			false,		      "",               0,             
+			0.0);
  
- helium=     new G4Ions(
+ helium=   new G4Ions(
 			"helium",    3.727417*GeV,       0.0*MeV,  +0.0*eplus,
 			0,              +1,             0,
@@ -81,5 +122,5 @@
 			0.0);
 
- alphaPlus=  new G4Ions("alpha+",    3.727417*GeV,       0.0*MeV,  +1.0*eplus,
+ alphaPlus= new G4Ions("alpha+",    3.727417*GeV,       0.0*MeV,  +1.0*eplus,
                                1,              +1,             0,
                                0,               0,             0,
@@ -110,73 +151,4 @@
 
 
- /*
- // molechules construction
-
- G4Ions* oxonium; // H3O -- it will become H3O+
- G4Ions* hydroxyl; // OH -- it will produce OH- too
- G4Ions* molHydrogen; // H2
- //G4Ions* hydroxide; // OH-
- G4Ions* hydroPeroxide; // H2O2
- G4Ions* water; // H2O -- it will become also H2O+
-
-
- G4double mass = 19.02*g/Avogadro - 11*electron_mass_c2;
-
- oxonium = new G4Ions("H3O",        mass,             0,  +11.0*eplus,
-		      0,               0,             0,
-		      0,               0,             0,
-		      "molecule",      0,             0,           0,
-		      true,         -1.0,             0, 
-		      false,          "",             0,             
-		      0.0); 
- 
- mass = 17.00734*g/Avogadro - 9*electron_mass_c2;
- 
- hydroxyl = new G4Ions("OH",        mass,             0,  +9.0*eplus,
-		      0,               0,             0,
-		      0,               0,             0,
-		      "molecule",      0,             0,           0,
-		      true,         -1.0,             0, 
-		      false,          "",             0,             
-		      0.0); 
-
- mass = 2.01588*g/Avogadro - 2*electron_mass_c2;
-
- molHydrogen = new G4Ions("H2",         mass,             0,  +2.0*eplus,
-			  0,               0,             0,
-			  0,               0,             0,
-			  "molecule",      0,             0,           0,
-			  true,         -1.0,             0, 
-			  false,          "",             0,             
-			  0.0); 
-
- mass = 34.01468*g/Avogadro - 18*electron_mass_c2;
-
- hydroPeroxide = new G4Ions("H2O2",      mass,             0, +18.0*eplus,
-			   0,               0,             0,
-			   0,               0,             0,
-			   "molecule",      0,             0,           0,
-			   true,         -1.0,             0, 
-			   false,          "",             0,             
-			   0.0); 
- 
- mass = 18.015*g/Avogadro - 10*electron_mass_c2;
-
- water = new G4Ions("H2O",        mass,             0,  +10.0*eplus,
-		    0,               0,             0,
-		    0,               0,             0,
-		    "molecule",      0,             0,           0,
-		    true,         -1.0,             0, 
-		    false,          "",             0,             
-		    0.0); 
-
- map["H3O" ]  =oxonium;
- map["OH"  ]  =hydroxyl;
- map["H2"  ]  =molHydrogen;
- map["H2O2"]  =hydroPeroxide;
- map["H2O" ]  =water; 
- */
-
-
  map["helium"  ]=helium;
  map["hydrogen"]=hydrogen;
@@ -185,4 +157,9 @@
  map["Ps-1s"   ]=positronium1s;
  map["Ps-2s"   ]=positronium2s;
+ map["carbon"  ]=carbon;
+ map["nitrogen"]=nitrogen;
+ map["oxygen"  ]=oxygen;
+ map["iron"    ]=iron;
+
 
 }
